Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Class ColorManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager
                  org.apache.batik.css.engine.value.AbstractColorManager
                      org.apache.batik.css.engine.value.svg.ColorManager

All Implemented Interfaces:
  ValueManager

Direct Known Subclasses:
  SVGColorManager

public class ColorManager
extends AbstractColorManager

This class provides a manager for the 'color' property values.

Field Summary
`protected static Value` | `DEFAULT_VALUE` The default color value.

Fields inherited from class org.apache.batik.css.engine.value.AbstractColorManager
`computedValues, values`

Constructor Summary
`ColorManager()`

Method Summary
`Value` | `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`java.lang.String` | `getPropertyName()` Implements `ValueManager.getPropertyName()`.
`boolean` | `isInheritedProperty()` Implements `ValueManager.isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractColorManager
`computeValue, createColorComponent, createRGBColor, createValue, getIdentifiers`

Methods inherited from class org.apache.batik.css.engine.value.IdentifierManager
`createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_VALUE

    protected static final Value DEFAULT_VALUE

  The default color value.

Constructor Detail

### ColorManager

    public ColorManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager.isInheritedProperty()`.

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.